Bug 928599 - DUP patch for redhat-rpm-config on rhel7
DUP patch for redhat-rpm-config on rhel7
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: redhat-rpm-config (Show other bugs)
All Unspecified
high Severity medium
: beta
: ---
Assigned To: Weiping Pan
Patrik Kis
: 999029 (view as bug list)
Depends On:
Blocks: 909339
  Show dependency treegraph
Reported: 2013-03-27 22:59 EDT by Weiping Pan
Modified: 2015-01-04 16:55 EST (History)
11 users (show)

See Also:
Fixed In Version: redhat-rpm-config-9.1.0-49.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 06:17:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
DUP patch for redhat-rpm-config on rhel7 (24.06 KB, patch)
2013-03-27 22:59 EDT, Weiping Pan
no flags Details | Diff

  None (edit)
Description Weiping Pan 2013-03-27 22:59:47 EDT
Created attachment 717414 [details]
DUP patch for redhat-rpm-config on rhel7

Description of problem:
Jriri Benc transferred this patch to me,it combines two patches,
one is "Re-add various kABI-related bits  by Jon Masters"
and the second is  "Allow kmod building against z-stream kernels form Jiri Benc".

The codes of these patches are from redhat-rpm-config on rhel6,
and I tested it can be built and installed on rhel7. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:
We can build DUP module on RHEL7.

Additional info:
Comment 2 Panu Matilainen 2013-04-09 04:07:29 EDT
Reassigning to Jon Masters who's taking care of the kABI side of things in redhat-rpm-config.
Comment 3 Panu Matilainen 2013-07-09 03:13:58 EDT
Applied in redhat-rpm-config-9.1.0-49.el7, and reassigning to the new kABI-owner.
Comment 4 Weiping Pan 2013-07-15 03:25:20 EDT
I checked that this patch is in 9.1.0-51, and first introduced in 9.1.0-49,
Comment 10 Weiping Pan 2013-08-09 03:48:11 EDT
Hi, patrik,

I think your test is good, should we close this bug ?

Weiping Pan
Comment 18 Weiping Pan 2013-12-09 22:14:35 EST
*** Bug 999029 has been marked as a duplicate of this bug. ***
Comment 19 Ludek Smid 2014-06-13 06:17:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.